<?
/*
Скрипт "Счетчик жизни человека"
Переделал под JohnCMS FoulDancer
//14.09.2013
*/
define('_IN_JOHNCMS', 1);
$rootpath = '../';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
if(!isset ($_POST['day']) or !isset ($_POST['month']) or !isset ($_POST['year']))
{
	echo "<div class='phdr'>Счетчик жизни человека</div>";
	echo '<div class="gmenu">Введите дату вашего рождения</div>';
	echo '<form action="birthday.php" method="post"><select name="day" value="day">';
	for($i = 1; $i <= 31; $i++)
	{
		if($i < 10)
		{
			echo '<option value="0'.$i.'">0'.$i.'</option>';
		}
		else
		{
			echo '<option value="'.$i.'">'.$i.'</option>';
		}
	}
	echo '</select><select name="month" value="month">
<option value="01">январь</option>
<option value="02">февраль</option>
<option value="03">март</option>
<option value="04">апрель</option>
<option value="05">май</option>
<option value="06">июнь</option>
<option value="07">июль</option>
<option value="08">август</option>
<option value="09">сентябрь</option>
<option value="10">октябрь</option>
<option value="11">ноябрь</option>
<option value="12">декабрь</option>
</select><select name="year" value="year">';
	for($i = date('Y') - 100; $i <= date('Y'); $i++)
	{
		echo '<option value="'.$i.'">'.$i.'</option>';
	}
	echo '</select><div class="bmenu"><input type = "submit" name = "submit" value = "Далее"/></div></form><div class="menu">';
}
else
{
	$day = abs(intval($_POST['day']));
	if($day < 1 or $day > 31)
	{
		$day = 01;
	}
	elseif ($day < 10)
	{
		$day = '0'.$day;
	}
	$month = ''.abs(intval($_POST['month']));
	if($month < 1 or $month > 12)
	{
		$month = 01;
	}
	elseif ($month < 10)
	{
		$month = '0'.$month;
	}
	$year = abs(intval($_POST['year']));
	echo "<div class='phdr'>Введенная дата: ".$day.".".$month.".".$year."</div>";
	$tim = mktime(date("G"), date("i"), 0, $month, $day, $year);
	$atim = time() - $tim;
	$y = (intval($atim / 31556926));
	echo "<div class='gmenu'>Вам ".$atim." секунд<br/> или ";
	echo $y." лет<br/>или ";
	echo intval($atim / 2629743)." месяцев<br/>или ";
	echo intval($atim / 604800)." недель<br/>или ";
	echo intval($atim / 86400)." дней<br/>или ";
	echo intval($atim / 3600)." часов<br/>или ";
	echo intval($atim / 60)." минут<br/>";
	if($month.$day == date("nj"))
		echo "<font color='red'>С днем рождения!!!</font><br/>";
	else
	{
		if($month.$day > date("nj"))
		{
			$aatim = intval((mktime($hour, $min, 0, $month, $day, date("Y")) - time()) / 86400);
			echo "День рождения будет через ".$aatim." дней<br/>";
		}
		else
		{
			$aatim = intval((mktime($hour, $min, 0, $month, $day, date("Y") + 1) - time()) / 86400);
			echo "В этом году день рождения уже был<br/>Следующий через ".$aatim." дней<br/>";
		}
		echo "Будет: ".($y + 1)." лет<br/>";
	}
	echo "Знак зодиака: ";
	switch(intval($month))
	{

		case 1 :
			echo $day <= 20 ? 'Козерог' : 'Водолей';
			break;

		case 2 :
			echo $day <= 19 ? 'Водолей' : 'Рыба';
			break;

		case 3 :
			echo $day <= 21 ? 'Рыба' : 'Овен';
			break;

		case 4 :
			echo $day <= 21 ? 'Овен' : 'Телец';
			break;

		case 5 :
			echo $day <= 21 ? 'Телец' : 'Близнецы';
			break;

		case 6 :
			echo $day <= 22 ? 'Близнецы' : 'Рак';
			break;

		case 7 :
			echo $day <= 23 ? 'Рак' : 'Лев';
			break;

		case 8 :
			echo $day <= 23 ? 'Лев' : 'Дева';
			break;

		case 9 :
			echo $day <= 23 ? 'Дева' : 'Весы';
			break;

		case 10 :
			echo $day <= 23 ? 'Весы' : 'Скорпион';
			break;

		case 11 :
			echo $day <= 22 ? 'Скорпион' : 'Стрелец';
			break;

		case 12 :
			echo $day <= 22 ? 'Стрелец' : 'Козерог';
			break;
	}
	echo '</div><div class="menu"><a href="birthday.php">Назад</a><br />';
}
echo '<a href="index.php">В раздел</a></div>';
require_once ("../incfiles/end.php");

?>